### Method

# Gtk TreeViewremove_column

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_view_remove_column (
      GtkTreeView* tree_view,
      GtkTreeViewColumn* column
    )

#### Description [src]

Removes `column` from `tree_view`.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` to remove.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

The number of columns in `tree_view` after removing.